Update a category
PUT
/api/content/management/categories/{id}
const url = 'https://example.com/api/content/management/categories/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Electronics","description":"example","parentId":"example","customProperties":[{"name":"example","value":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/content/management/categories/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Electronics", "description": "example", "parentId": "example", "customProperties": [ { "name": "example", "value": "example" } ] }'Updates an existing category
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Category ID
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
Category name
string
Example
Electronicsdescription
Category description
string
parentId
Parent category ID (for nested categories)
string | null
customProperties
Custom properties
Array<object>
object
name
required
string
value
Responses
Section titled “Responses”Category updated successfully
Media typeapplication/json
object
id
required
string
Examplegenerated
{ "id": "example"}Invalid request